GoogleV3 (GIS Viewer Widget 3.5.0-SNAPSHOT API)
Date: 2014-09-04

org.gcube.portlets.user.gisviewer.client.openlayers.googlev3

## Class GoogleV3

- java.lang.Object
- - org.gwtopenmaps.openlayers.client.util.JSObjectWrapper
  - - org.gwtopenmaps.openlayers.client.OpenLayersObjectWrapper
    - - org.gwtopenmaps.openlayers.client.OpenLayersEObjectWrapper
      - - org.gwtopenmaps.openlayers.client.layer.Layer
        - - org.gcube.portlets.user.gisviewer.client.openlayers.googlev3.GoogleV3

-     public class GoogleV3
      extends org.gwtopenmaps.openlayers.client.layer.Layer

  A layer to show a Google map using the Google Maps JavaScript API V3. Tested with Google API loading from `<script src="http://maps.google.com/maps/api/js?gwt=1&v=3.6&sensor=false"></script>`
  Author:
    Max Gensthaler

- - ### Field Summary

    - ### Fields inherited from class org.gwtopenmaps.openlayers.client.layer.Layer

      `ARCGIS93REST_CLASS_NAME, BOXES_CLASS_NAME, GOOGLE_CLASS_NAME, GRIDLAYER_CLASS_NAME, HTTPREQUESTLAYER_CLASS_NAME, IMAGE_CLASS_NAME, MARKERS_CLASS_NAME, OSM_CLASS_NAME, TMS_CLASS_NAME, VECTOR_CLASS_NAME, WMS_CLASS_NAME, XYZ_CLASS_NAME`

    - ### Fields inherited from class org.gwtopenmaps.openlayers.client.OpenLayersEObjectWrapper

      `eventListeners`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GoogleV3(org.gwtopenmaps.openlayers.client.util.JSObject element)`
    `` | `GoogleV3(String name)`
    `` | `GoogleV3(String name, GoogleV3Options options)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.gwtopenmaps.openlayers.client.LonLat` | `forwardMercator(double lon, double lat)`
    `GoogleV3` | `narrowToGoogle(org.gwtopenmaps.openlayers.client.util.JSObject google)`

    - ### Methods inherited from class org.gwtopenmaps.openlayers.client.layer.Layer

      `addLayerLoadCancelListener, addLayerLoadEndListener, addLayerLoadStartListener, addLayerVisibilityChangedListener, addOptions, displayInLayerSwitcher, getId, getName, getOpacity, getZIndex, isBaseLayer, isVisible, narrowToLayer, redraw, setDisplayInLayerSwitcher, setIsBaseLayer, setIsVisible, setName, setOpacity, setZIndex`

    - ### Methods inherited from class org.gwtopenmaps.openlayers.client.OpenLayersEObjectWrapper

      `getListeners, narrowToOpenLayersEObjectWrapper, removeListener`

    - ### Methods inherited from class org.gwtopenmaps.openlayers.client.OpenLayersObjectWrapper

      `getClassName, getEvents, narrowToOpenLayersObjectWrapper`

    - ### Methods inherited from class org.gwtopenmaps.openlayers.client.util.JSObjectWrapper

      `getJSObject, setJSObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GoogleV3

          protected GoogleV3(org.gwtopenmaps.openlayers.client.util.JSObject element)

    - #### GoogleV3

          public GoogleV3(String name)

    - #### GoogleV3

          public GoogleV3(String name,
                  GoogleV3Options options)

  - ### Method Detail

    - #### narrowToGoogle

          public GoogleV3 narrowToGoogle(org.gwtopenmaps.openlayers.client.util.JSObject google)

    - #### forwardMercator

          public org.gwtopenmaps.openlayers.client.LonLat forwardMercator(double lon,
                                                                 double lat)

Copyright © 2014. All Rights Reserved.